## golang-github-go-chi-chi 5.0.7

=== Makefile ===
all:
	@echo "**********************************************************"
	@echo "**                    chi build tool                    **"
	@echo "**********************************************************"


test:
	go clean -testcache && $(MAKE) test-router && $(MAKE) test-middleware

test-router:
	go test -race -v .

test-middleware:
	go test -race -v ./middleware

.PHONY: docs
docs:
	npx docsify-cli serve ./docs

## golang-github-go-chi-chi 1.5.1

=== debian/changelog ===
golang-github-go-chi-chi (1.5.1-2) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 25 Dec 2020 15:53:38 +0000

golang-github-go-chi-chi (1.5.1-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Dec 2020 16:05:53 +0000

=== debian/control ===
Source: golang-github-go-chi-chi
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.1
Homepage: https://github.com/go-chi/chi
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-chi-chi
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-chi-chi.git
XS-Go-Import-Path: github.com/go-chi/chi
Testsuite: autopkgtest-pkg-go

Package: golang-github-go-chi-chi-dev
Architecture: all
Depends: ${misc:Depends}
Description: lightweight, idiomatic and composable router for building Go HTTP services
 This package contains a lightweight, idiomatic and composable router
 for building Go HTTP services. It's especially good at helping you
 write large REST API services that are kept maintainable as your
 project grows and changes. chi is built on the new context package
 introduced in Go 1.7 to handle signaling, cancellation and
 request-scoped values across a handler chain.
 .
 The focus of the project has been to seek out an elegant and comfortable
 design for writing REST API servers.

## golang-github-go-chi-chi 5.0.7

=== debian/changelog ===
golang-github-go-chi-chi (5.0.7-1) unstable; urgency=medium

  * New upstream release.
  * according to ratt no entry in Built-Using: of other packages

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jan 2022 02:16:01 +0100

## golang-github-go-chi-chi 5.1.0

=== debian/changelog ===
golang-github-go-chi-chi (5.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Bump debhelper-compat to v13
    - Add Rules-Requires-Root: no
    - Add Multi-Arch: foreign
  * Remove unneeded Files-Excluded from d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 28 Jun 2024 18:06:48 +0000

## golang-github-go-chi-chi 5.2.0

=== debian/changelog ===
golang-github-go-chi-chi (5.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 22 Dec 2024 19:22:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: golang-github-go-chi-chi
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/go-chi/chi
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-chi-chi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-chi-chi.git
 XS-Go-Import-Path: github.com/go-chi/chi
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-go-chi-chi-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: lightweight, idiomatic and composable router for building Go HTTP services
  This package contains a lightweight, idiomatic and composable router

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-go-chi-chi-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/go-chi/chi/tags .*/v?(\d\S*)\.tar\.gz debian uupdate

## golang-github-go-chi-chi 5.2.3

=== debian/changelog ===
golang-github-go-chi-chi (5.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Includes fix for GHSA-vrw8-fxc6-2r93
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 10 Nov 2025 15:19:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/go-chi/chi
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-chi-chi
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-chi-chi.git
 XS-Go-Import-Path: github.com/go-chi/chi
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-go-chi-chi-dev
